{% extends 'admin/adminbase.html.twig' %}
{% block moreCss %}
    <link href="{{ asset('dropify/css/dropify.css') }}" rel="stylesheet">

{% endblock %}
{% block body %}
    <div class="card-genossys">
        <h5>Tambah Admin</h5>
        <form id="formAdmin" enctype="multipart/form-data" method="post">
            <div class="pb-5">
                <div class="float-right m-2">
                    <input class="btn btn-primary btn-blue" type="submit" value="Simpan"/>
                </div>
                <div class="float-right m-2">
                    <a class="btn btn-danger btn-rose" href="{{ path('admin-user') }}">Cancel</a>
                </div>
            </div>
            <br>
            <div class="row mb-2">
                <div class="col col-sm-12 col-md-6">
                    <label>Foto Profil Admin :</label>
                    <div class="input-field" id="div-img">
                        <input type="file" required id="avatar" class="fotoprofile" data-min-height="10"
                               data-height="150"
                               accept="image/jpeg, image/jpg, image/png"
                               data-allowed-file-extensions="jpg jpeg png"
                        />
                    </div>
                </div>
                <div class="col col-sm-12 col-md-6">
                    <label>Foto KTP Admin :</label>
                    <div class="input-field" id="div-img">
                        <input type="file" required onchange="" id="license" class="fotoktp" data-min-height="10"
                               data-height="150"
                               accept="image/jpeg, image/jpg, image/png"
                               data-allowed-file-extensions="jpg jpeg png"
                        />
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label for="fullName">Nama Lengkap :</label>
                <input type="text" class="form-control" id="fullName" name="fullName" placeholder="Enter email">
            </div>
            <div class="form-group">
                <label for="phone">Nomor Hp. :</label>
                <input type="text" class="form-control" id="phone" name="phone" placeholder="Nomor Hp.">
            </div>
            <div class="form-group">
                <label for="phone">Tipe Email :</label>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="tipeEmail" id="google" value="google" checked>
                    <label class="form-check-label" for="google">
                        Google
                    </label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="tipeEmail" id="facebook" value="facebook">
                    <label class="form-check-label" for="facebook">
                        Facebook
                    </label>
                </div>
            </div>
            <div class="form-group">
                <label for="email">Email :</label>
                <input type="email" class="form-control" id="email" name="email" placeholder="Enter email">
            </div>
            <div class="form-group">
                <label for="jabatan">Jabatan :</label>
                <input type="text" class="form-control" id="jabatan" name="position" placeholder="Enter email">
            </div>
            <div class="form-group">
                <label for="exampleInputEmail1">Previlege :</label>
                <select class="form-control" name="privilege" id="privilege">
                    <option value="">Pilih Privilege</option>
                    <option value="Super Admin">Super Admin</option>
                    <option value="Admin">Admin</option>
                    <option value="Akuntan">Akuntan</option>
                    <option value="Operasional">Operasional</option>
                    <option value="Verifikator">Verifikator</option>
                </select>
            </div>
        </form>
    </div>
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('dropify/js/dropify.js') }}"></script>
    <script type="text/javascript"
            src="https://cdn.jsdelivr.net/npm/browser-image-compression@latest/dist/browser-image-compression.js"></script>
    <script>
        $(document).ready(function () {

            $('.fotoktp').dropify({
                messages: {
                    'default': 'Masukkan File KTP',
                    'replace': 'Drag and drop or click to replace',
                    'remove': 'Remove',
                    'error': 'Ooops, something wrong happended.'
                }
            });

            $('.fotoprofile').dropify({
                messages: {
                    'default': 'Masukkan File Foto',
                    'replace': 'Drag and drop or click to replace',
                    'remove': 'Remove',
                    'error': 'Ooops, something wrong happended.'
                }
            });

            var fr = $('#formAdmin');
            fr.submit(async function (e) {
                e.preventDefault(e);
                var formData = new FormData(this);

                if ($('#formAdmin #privilege').val() === '') {
                    alertify.alert('Warning', 'Previlege belum dipilih !');
                } else {
                    alertify.confirm("Tambah Data Admin", "Apakah data yang anda masukkan sudah benar ?",
                        async function () {
                            let license = await handleImageUpload($('#license'));
                            let avatar = await handleImageUpload($('#avatar'));

                            formData.append('license', license, license.name);
                            formData.append('avatar', avatar, avatar.name);

                            console.log(formData);

                            $.ajax({
                                url: '/admin/admin-user/add-admin',
                                type: "POST",
                                success: function (data) {
                                    console.log(data);
                                    if (data['code'] === 200){
                                        alertify.alert('Success', data['payload']['status'], function () {
                                            window.location = '/admin/admin-user/';
                                        });
                                    }else{
                                        alertify.alert('Error', 'Tidak dapat menambah data, mungkin email sudah terdaftar', function () {
                                            // window.location = '/admin/admin-user/';
                                        });
                                    }
                                    //
                                },
                                error: function (error) {
                                    console.log("LOG ERROR", error);
                                    // handle error
                                },
                                async: true,
                                data: formData,
                                cache: false,
                                contentType: false,
                                processData: false,
                                timeout: 60000
                            })
                        }, function () {

                        }
                    )
                }


            })

        });

        async function editAdmin() {
            // console.log(data);

        }
    </script>
{% endblock %}